Subject: Re: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Dmitry Gutov <[email-masked]>
Date: Thu, 19 Nov 2015 19:29:44 +0200

On 11/19/2015 04:06 AM, John Wiegley wrote:

> I've never worked on a project where getting to warning free was not both
> achievable, and a good idea.

What will you get, as a result?

I can get behind taking care of "correctness" warnings, but if we lose 
the obsolete functions warnings, we risk forgetting to take care of 
their causes.

And it's not like we can actually fix all instances of obsolete usages 
before the current release: a significant part of the warnings comes 
from gnus, org, cc-mode and calendar, all of which, I'm assuming, have 
to support older Emacsen.

We _should_ be able to take care of CEDET warnings, but probably after 
their development migrates here.